CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
TestResultCollector Class Reference
Writing test result | Browsing collected test result

Collects test result.A TestResultCollector is a TestListener which collects the results of executing a test case. It is an instance of the Collecting Parameter pattern. More...

`#include <TestResultCollector.h>`

Inheritance diagram for TestResultCollector:

## Public Types

typedef CppUnitDeque< TestFailure * > | TestFailures
typedef CppUnitDeque< Test * > | Tests

## Public Member Functions

| TestResultCollector (SynchronizationObject *syncObject=0)
virtual | ~TestResultCollector ()
| Destructor. More...
void | startTest (Test *test)
| Called when just before a TestCase is run. More...
void | addFailure (const TestFailure &failure)
| Called when a failure occurs while running a test. More...
virtual void | reset ()
virtual int | runTests () const
| Gets the number of run tests. More...
virtual int | testErrors () const
| Gets the number of detected errors (uncaught exception). More...
virtual int | testFailures () const
| Gets the number of detected failures (failed assertion). More...
virtual int | testFailuresTotal () const
| Gets the total number of detected failures. More...
virtual const TestFailures & | failures () const
| Returns a the list failures (random access collection). More...
virtual const Tests & | tests () const
Public Member Functions inherited from TestSuccessListener
| TestSuccessListener (SynchronizationObject *syncObject=0)
virtual | ~TestSuccessListener ()
| Destructor. More...
void | addFailure (const TestFailure &failure)
| Called when a failure occurs while running a test. More...
virtual bool | wasSuccessful () const
| Returns whether the entire test was successful or not. More...
Public Member Functions inherited from TestListener
virtual | ~TestListener ()
virtual void | endTest (Test *)
| Called just after a TestCase was run (even if a failure occured). More...
virtual void | startSuite (Test *)
| Called by a TestComposite just before running its child tests. More...
virtual void | endSuite (Test *)
| Called by a TestComposite after running its child tests. More...
virtual void | startTestRun (Test *, TestResult *)
| Called by a TestRunner before running the test. More...
virtual void | endTestRun (Test *, TestResult *)
| Called by a TestRunner after running the test. More...
Public Member Functions inherited from SynchronizedObject
| SynchronizedObject (SynchronizationObject *syncObject=0)
virtual | ~SynchronizedObject ()
| Destructor. More...

## Protected Member Functions

void | freeFailures ()
Protected Member Functions inherited from SynchronizedObject
virtual void | setSynchronizationObject (SynchronizationObject *syncObject)
| Accept a new synchronization object for protection of this instance TestResult assumes ownership of the object. More...

## Protected Attributes

Tests | m_tests
TestFailures | m_failures
int | m_testErrors
Protected Attributes inherited from SynchronizedObject
SynchronizationObject * | m_syncObject

## Private Member Functions

| TestResultCollector (const TestResultCollector &copy)
| Prevents the use of the copy constructor. More...
void | operator= (const TestResultCollector &copy)
| Prevents the use of the copy operator. More...

## Detailed Description

Collects test result.

A TestResultCollector is a TestListener which collects the results of executing a test case. It is an instance of the Collecting Parameter pattern.

The test framework distinguishes between failures and errors. A failure is anticipated and checked for with assertions. Errors are unanticipated problems signified by exceptions that are not generated by the framework.

See also
  TestListener, TestFailure.

## Member Typedef Documentation

typedef CppUnitDeque<TestFailure *> TestResultCollector::TestFailures

typedef CppUnitDeque<Test *> TestResultCollector::Tests

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestResultCollector::TestResultCollector | ( | SynchronizationObject * | syncObject = `0` | ) |

Constructs a TestResultCollector object.

TestResultCollector::~TestResultCollector | ( |  | ) |

virtual

Destructor.

TestResultCollector::TestResultCollector | ( | const TestResultCollector & | copy | ) |

private

Prevents the use of the copy constructor.

## Member Function Documentation

void TestResultCollector::addFailure | ( | const TestFailure & |  | ) |

virtual

Called when a failure occurs while running a test.

See also
  TestFailure.

Warning
  failure is a temporary object that is destroyed after the method call. Use TestFailure::clone() to create a duplicate.

Reimplemented from TestListener.

Reimplemented in TextTestResult.

const TestResultCollector::TestFailures & TestResultCollector::failures | ( |  | ) | const

virtual

Returns a the list failures (random access collection).

void TestResultCollector::freeFailures | ( |  | ) |

protected

void TestResultCollector::operator= | ( | const TestResultCollector & | copy | ) |

private

Prevents the use of the copy operator.

void TestResultCollector::reset | ( |  | ) |

virtual

Reimplemented from TestSuccessListener.

int TestResultCollector::runTests | ( |  | ) | const

virtual

Gets the number of run tests.

void TestResultCollector::startTest | ( | Test * |  | ) |

virtual

Called when just before a TestCase is run.

Reimplemented from TestListener.

Reimplemented in TextTestResult.

int TestResultCollector::testErrors | ( |  | ) | const

virtual

Gets the number of detected errors (uncaught exception).

int TestResultCollector::testFailures | ( |  | ) | const

virtual

Gets the number of detected failures (failed assertion).

int TestResultCollector::testFailuresTotal | ( |  | ) | const

virtual

Gets the total number of detected failures.

const TestResultCollector::Tests & TestResultCollector::tests | ( |  | ) | const

virtual

## Member Data Documentation

TestFailures TestResultCollector::m_failures

protected

int TestResultCollector::m_testErrors

protected

Tests TestResultCollector::m_tests

protected

The documentation for this class was generated from the following files:

- TestResultCollector.h
- TestResultCollector.cpp

| hosts this site. |  | Send comments to: CppUnit Developers